package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.statistics.pojo.base.ProvinceBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装地域分析-地域概况报表Vo对象
 * @author wuxy
 */
@Data
public class RegionReportVO {

    @ApiModelProperty("省份编码")
    private String provinceCode;

    @ApiModelProperty("省份名称")
    private String provinceName;

    @ApiModelProperty("支付金额")
    private BigDecimal orderPayAmount;

    @ApiModelProperty("下单金额")
    private BigDecimal orderSubmitAmount;

    @ApiModelProperty("支付订单数")
    private Integer orderPayNum;

    @ApiModelProperty("下单数")
    private Integer orderSubmitNum;

    @ApiModelProperty("新增会员数")
    private Integer newMemberNum;

    @ApiModelProperty("新增店铺数")
    private Integer newStoreNum;

    @ApiModelProperty("退单数")
    private Integer returnNum;

    @ApiModelProperty("退单金额")
    private BigDecimal returnAmount;

    public RegionReportVO(ProvinceBase provinceBase) {
        this.provinceCode = provinceBase.getProvinceCode();
        this.provinceName = provinceBase.getProvinceName();
        this.orderPayAmount = provinceBase.getOrderPayAmount();
        this.orderSubmitAmount = provinceBase.getOrderSubmitAmount();
        this.orderPayNum = provinceBase.getOrderPayNum();
        this.orderSubmitNum = provinceBase.getOrderSubmitNum();
        this.newMemberNum = provinceBase.getNewMemberNum();
        this.newStoreNum = provinceBase.getNewStoreNum();
        this.returnNum = provinceBase.getReturnNum();
        this.returnAmount = provinceBase.getReturnAmount();
    }
}
